Name: oxygen-gtk3
Summary: A port of the default KDE widget theme (Oxygen) to gtk3
Epoch: 1
Version: 1.1.2
Release: %mkrel 1
Source0: ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk3/%{version}/src/%{name}-%{version}.tar.bz2
URL: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Group: Graphical desktop/KDE
License: LGPLv2+
BuildRequires: pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: cmake
Suggests:      oxygen-icon-theme
Requires:      %{name}-engine = %{epoch}:%{version}

%description
Oxygen-Gtk3 is a port of the default KDE widget theme (Oxygen), to gtk3.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

Unlike other attempts made to port the kde oxygen theme to gtk3, this attempt
does not depend on Qt (via some Qt to Gtk conversion engine), nor does render
the widget appearance via hard coded pixmaps, which otherwise breaks everytime
some setting is changed in kde.

%files
%{_bindir}/%{name}-demo
%{_datadir}/themes/oxygen-gtk

#------------------------------------------------

%define libname %mklibname %{name}

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries
Provides:	%{name}-engine = %{epoch}:%{version}
Conflicts:	%{name} < 1.1.50-0.20110922.3

%description -n %{libname}
Dynamic libraries for %{name}.

%files -n %libname
%{_libdir}/gtk-3.0/3.0.0/theming-engines/liboxygen-gtk.so

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake -DOXYGEN_FORCE_KDE_ICONS_AND_FONTS=0 
%make

%install
%makeinstall_std -C build


%changelog

* Thu Jan 31 2013 fwang <fwang> 1:1.1.2-1.mga3
+ Revision: 393629
- new version 1.1.2

* Sun Jan 13 2013 umeabot <umeabot> 1:1.1.1-2.mga3
+ Revision: 362291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 1:1.1.1-1.mga3
+ Revision: 303799
- new version 1.1.1

* Tue Jul 17 2012 fwang <fwang> 1:1.1.0-1.mga3
+ Revision: 271617
- new version 1.1.0

* Tue Jun 19 2012 fwang <fwang> 1:1.0.5-1.mga3
+ Revision: 261856
- new version 1.0.5

* Mon May 28 2012 fwang <fwang> 1:1.0.4-1.mga3
+ Revision: 248429
- new version 1.0.4

* Sat Apr 14 2012 dmorgan <dmorgan> 1:1.0.3-1.mga2
+ Revision: 230786
- New version ( fixes visual bugs )

* Fri Mar 23 2012 fwang <fwang> 1:1.0.2-2.mga2
+ Revision: 225946
- 1.0.2r1

* Mon Mar 12 2012 fwang <fwang> 1:1.0.2-1.mga2
+ Revision: 222976
- new version 1.0.2

* Thu Feb 16 2012 fwang <fwang> 1:1.0.1-1.mga2
+ Revision: 209592
- drop merged patch
- new version 1.0.1

* Fri Jan 20 2012 fwang <fwang> 1:1.0.0-1.mga2
+ Revision: 198757
- revolk patch
- new stable version 1.0.0

* Tue Jan 10 2012 juancho <juancho> 1.2.0-0.20111219.1.mga2
+ Revision: 194420
- Updated to 1.2.0.20111219

* Sat Dec 10 2011 tv <tv> 1.1.50-0.20111128.2.mga2
+ Revision: 180416
- rebuild with new gcc & binutils

* Tue Nov 29 2011 fwang <fwang> 1.1.50-0.20111128.1.mga2
+ Revision: 174029
- new svn snapshot

* Mon Nov 28 2011 juancho <juancho> 1.1.50-0.20110922.3.mga2
+ Revision: 173938
- Fixed Obsoletes: value.

* Mon Nov 28 2011 juancho <juancho> 1.1.50-0.20110922.2.mga2
+ Revision: 173920
- Splitted package into library and binary/noncharch files.

* Sat Sep 24 2011 fwang <fwang> 1.1.50-0.20110922.1.mga2
+ Revision: 147164
- fix build
- update br
- fix rel
- new git snapshot

  + dmorgan <dmorgan>
    - New snapshot
    - Enable debug

* Wed Jul 06 2011 dmorgan <dmorgan> 1.0.50-6.mga2
+ Revision: 119436
- New snapshot fixing css
- Only suggests not requires
- Fix Requires

* Wed Jul 06 2011 dmorgan <dmorgan> 1.0.50-5.mga2
+ Revision: 119381
- New snapshot
- Add patch to fix crash ( upstream merge pending )

* Mon Jul 04 2011 dmorgan <dmorgan> 1.0.50-2.mga2
+ Revision: 118354
- Do not requires kde apps

* Sun Jun 26 2011 dmorgan <dmorgan> 1.0.50-1.mga2
+ Revision: 114107
- imported package oxygen-gtk3

